<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$pl=$_GET['p'];
	$loc=$_GET['l'];
	$q = mysql_query("SELECT * FROM `planet` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($pl)))))))."'");
	$f = mysql_fetch_array($q);
	$q1 = mysql_query("SELECT * FROM `planet_loc` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($loc)))))))."'");
	$f1 = mysql_fetch_array($q1);
	$s='s'.$f1['type'].'';
	$science = mysql_result(mysql_query("SELECT ($s) FROM `science` WHERE `planet_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."';"), 0);
	if($game==0 OR $level==0 OR $f['uid']!=$use_id OR $ban!=0){
		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
	}else{
	echo "<title>Добыча ресурсов</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><a href="planet.php?act=pl&amp;p='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Планета '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name']))))))).'</b></a> | <font color="#4EEE94"><b>'.loc($f1['type']).'</font>  [<font color="#4EEE94">x:'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['x']))))))).'</font>] <font color="#4EEE94">[y:'.$f1['y'].']</font></b></div>';
	echo '<div class="razd"></div>';

	switch ($act) {
	default:
	if($f1['uid']!=$use_id){
	$p = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['uid'])))))))."'");
	$u = mysql_fetch_array($p);
	echo '<div class="conts">Эта локация оккупирована игроком '.rasa($u['rasa']).' <a href="../p/anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($u['id']))))))).'"><span class="'.crasa($u['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($u['login']))))))).'</span></a><br/>Управление добычей ресурсов невозможно</div>';}else{
	if($f1['type']!=1)echo '<div class="ch">'.res($f1['type']).': <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['res']))))))).']</font> (-'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['rab']))))))).'/+'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['rab'])))))))*($science*0.3).')</div><div class="razd"></div><div class="ch">'.rab($rasa).': <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['rab']))))))).']</font> (<a href="?act=plus&amp;p='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;l='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id']))))))).'"><ins><b>добавить</b></ins></a>/<a href="?act=minus&amp;p='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;l='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id']))))))).'"><ins><b>отозвать</b></ins></a>)</div>';
	if($f1['type']==1)echo '<div class="conts">'.rasa($rasa).' На этой локации находится <span class="'.crasa($rasa).'">'.b(1, $rasa).'</span></div>';
	}
	echo '<div class="razd"></div>';
	echo '<div class="blok"><a href="planet.php?act=pl&amp;p='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Назад</b></a></div>';
	break;
	case 'plus':
if($f1['uid']==$use_id AND $f1['type']!=1){
echo '<div class="blok">'.rab($rasa).': '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['rab']))))))).'</div>';
echo '<div class="razd"></div>';
if(!$_POST)
{
echo '<center><div class="window">';
echo '<form action="" method="POST"><b>Добавить:</b><br/><font color="#FF0000">(Введите минимум 1 число)</font><br/><input type="text" value="" name="plus" /> <input type="submit" name="submit" value="Отправить"/></form>';
echo '</div></center>';

}
else
{
$plus = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['plus'])))))));
$error = false;
if( trim($_POST['plus']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Добавить</b></ins></font><br/>';
    
}

if(!empty($_POST['plus']) < 1 )

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Добавить</b></ins></font>  минимум <font color="#4EEE94">[+1]</font> символ<br/>';
  
}

if(!empty($_POST['plus']) && (preg_match('/[^\da-zA-Z_]+/s',$_POST['plus'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Добавить</b></font> содержит запрещенные символы<br/>';
    
}

elseif ($plus > $f['rab'])

{

	$error = $error . 'У вас нет столько рабочих!<br />';

}

elseif ($plus+$f1['rab'] > 100)

{

	$error = $error . 'На локации может работать не более 100 рабочих!<br />';

}

elseif ($f1['type'] < 2 or $f1['type'] > 7)

{

$error = $error . 'Вы не можете добывать ресурсы на этой локации!<br />';

}

if (empty($error))

{



echo '<div class="window">Рабочие отправлены на добычу!</div>';
mysql_query("UPDATE `planet` SET `rab`=rab-$plus WHERE `id`='".$f['id']."';");
mysql_query("UPDATE `planet_loc` SET `rab`=rab+$plus WHERE `id`='" . check(mysql_real_escape_string($f1['id'])) . "';");
}
else
{
echo '<div class="blok3"><b>' . $error. '</b></div>';

}
}
}
echo '<div class="razd"></div>';
echo '<div class="blok"><a href="production.php?p='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;l='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id']))))))).'"><b>Назад<b></a></div>';
break;
	case 'minus':
if($f1['uid']==$use_id){
echo '<div class="blok">'.rab($rasa).': '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['rab']))))))).'</div>';
echo '<div class="razd"></div>';
if(!$_POST)
{
echo '<center><div class="window">';
echo '<form action="" method="POST">';
echo '<b>Отозвать:</b><br/><font color="#FF0000">(Введите минимум 1 число)</font><input type="text" value="" name="minus" /> <input type="submit" name="submit" value="Отозвать"/></form>';
echo '</div></center>';
}
else
{
$minus = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['minus'])))))));
$error = false;
if( trim($_POST['minus']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Отозвать</b></ins></font><br/>';
    
}

if(!empty($_POST['minus']) < 1 )

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Отозвать</b></ins></font>  минимум <font color="#4EEE94">[1]</font> символ<br/>';
  
}

if(!empty($_POST['minus']) && (preg_match('/[^\da-zA-Z_]+/s',$_POST['minus'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Отозвать</b></font> содержит запрещенные символы<br/>';
    
}

elseif ($minus > $f1['rab'])

{

$error = $error . 'На локации нет столько рабочих!<br />';

}

elseif ($f1['type'] < 2 or $f1['type'] > 7)

{

$error = $error . 'Вы не можете отзывать рабочих с этой локации!<br />';

}

if (empty($error))

{

echo 'Рабочие отозваны с добычи!<br/>';
mysql_query("UPDATE `planet` SET `rab`=rab+$minus WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."';");
mysql_query("UPDATE `planet_loc` SET `rab`=rab-$minus WHERE `id`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id']))))))) . "';");
}
else
{
echo '<div class="blok3"><b>' . $error. '</b></div>';

}
}
}
echo '<div class="razd"></div>';
echo '<div class="blok"><a href="production.php?p='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'&amp;l='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f1['id']))))))).'"><b>Назад</b></a></div>';
	}
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>